
subtle - Support #208

Merge the mpd, smpd, mpdplus, smpdplus sublets

05/20/2011 12:34 AM - Dominikh Honnef

Status: Fixed Start date: 05/20/2011

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 0%

Category: Suggestion Estimated time: 0.00 hour

Target version: Nu   

Description

Over time, people decided to fork the mpd sublet instead of contributing changes to it.

So I decided to take all four sublets and merge them (using mpd as the reference), making new features optional by means of config

settings.

Attached are the new .rb as well as the new .spec file.

History

#1 - 05/20/2011 10:42 PM - Douglas Freed

- File mpd.spec added

- File mpd.rb added

Fixed the positions in :mouse_down to more accurately reflect the icons' positions.  Also, removed some debugging output and the duplicate "stop" in

the valid array in configure.

Note: You'll need the icons from the current mpd sublet in order to build this version. Easy way to get them if you have the mpd sublet installed

already: cp -r ~/.local/share/subtle/icons .

#2 - 05/23/2011 05:00 PM - Douglas Freed

- File mpd.spec added

- File mpd.rb added

Fixed the handling of format strings so that empty fields don't retain their old values.  Added the blank_text configure option to choose what is

displayed instead.  It defaults to "n/a"

#3 - 05/29/2011 03:40 PM - Christoph Kappel

- Target version set to Nu

- Assignee set to Non member users

- Status changed from Unconfirmed to Confirmed

#4 - 05/29/2011 05:31 PM - Christoph Kappel

- Status changed from Confirmed to Fixed

Files

mpd.rb 10.7 KB 05/19/2011 Dominikh Honnef

mpd.spec 4.82 KB 05/19/2011 Dominikh Honnef

mpd.rb 10.6 KB 05/20/2011 Douglas Freed

mpd.spec 4.82 KB 05/20/2011 Douglas Freed
mpd.rb 10.9 KB 05/23/2011 Douglas Freed

mpd.spec 5.02 KB 05/23/2011 Douglas Freed
